Module java.desktop
Package javax.swing.plaf.basic

## Class BasicPopupMenuSeparatorUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.SeparatorUI
    - - javax.swing.plaf.basic.BasicSeparatorUI
      - - javax.swing.plaf.basic.BasicPopupMenuSeparatorUI

-     public class BasicPopupMenuSeparatorUI
      extends BasicSeparatorUI

  A Basic L&F implementation of PopupMenuSeparatorUI. This implementation is a "combined" view/controller.

- - ### Field Summary

    - ### Fields declared in class javax.swing.plaf.basic.BasicSeparatorUI

      `highlight, shadow`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BasicPopupMenuSeparatorUI()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ComponentUI` | `createUI​(JComponent c)` | Returns a new instance of `BasicPopupMenuSeparatorUI`.

    - ### Methods declared in class javax.swing.plaf.basic.BasicSeparatorUI

      `installDefaults, installListeners, uninstallDefaults, uninstallListeners`

    - ### Methods declared in class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicPopupMenuSeparatorUI

          public BasicPopupMenuSeparatorUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI​(JComponent c)

      Returns a new instance of `BasicPopupMenuSeparatorUI`.
      Parameters:
        `c` - a component
      Returns:
        a new instance of `BasicPopupMenuSeparatorUI`